/* ----------------------------------------------------------------------- */
/* -                  Astronomical CCD Dome Control                      - */
/* -                          Header File                                - */
/* ----------------------------------------------------------------------- */
/*                                                                         */
/* Copyright (c) 2008 John Kielkopf                                        */
/* kielkopf@louisville.edu                                                 */
/*                                                                         */
/* This file is part of XmTel.                                             */
/*                                                                         */
/*                                                                         */
/* XmTel is free software: you can redistribute it and/or modify           */
/* it under the terms of the GNU General Public License as published by    */
/* the Free Software Foundation, either version 3 of the License, or       */
/* (at your option) any later version.                                     */
/*                                                                         */
/* XmTel is distributed in the hope that it will be useful,                */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/* GNU General Public License for more details.                            */
/*                                                                         */
/*                                                                         */
/* Date: September 10, 2009                                                */
/* Version: 1.3                                                            */
                                                                                                                                                
                                                                          

/* INDI parameters */

#define	POLLMS   250        /* Poll period, ms */
#define	MYDEV	"dome"      /* Name for this device */

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE 1
#endif

#define TELPOLLOFF   0
#define TELPOLLON    1
#define TELPOLLTRACK 2

/* Default site */

#define LONGITUDE      85.5300
#define LATITUDE       38.3334

/* Default mount and dome */

#define DECOFFSET  0.25
#define DECHEIGHT  0.25
#define DECLENGTH  0.25
#define DOMERADIUS 2.0


/* Moore Observatory - Louisville, Kentucky USA */

/* #define LONGITUDE      85.5300 */
/* #define LATITUDE       38.3334 */

/* Mt. Kent Observatgory - Toowoomba, Australia */

/*   #define LONGITUDE     -151.855278 */
/*   #define LATITUDE      -27.797778  */


