/* ----------------------------------------------------------------------- */
/* -                   Astronomical Telescope Control                    - */
/* -                         XmDome Header File                          - */
/* ----------------------------------------------------------------------- */
/*                                                                         */
/* Copyright (c) 2008 John Kielkopf                                        */
/* kielkopf@louisville.edu                                                 */
/*                                                                         */
/* This file is part of XmTel.                                             */
/*                                                                         */
/* Distributed under the terms of the General Public License (see LICENSE) */ 
/*                                                                         */
/* Date: September 10, 2009                                                */
/* Version: 1.3                                                            */


/* Useful values */

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE 1
#endif

/* User interface polling */

#define	POLLMS      250   /* Poll period, ms */

/* Menu flags */

#define OK         1     
#define CANCEL     2

/* Menu item identifiers */

#define FILEEXIT       1
#define SETTARGETAZ    2

/* Default site */

#define LONGITUDE      85.5300
#define LATITUDE       38.3334

/* Default mount and dome */

#define DECOFFSET  0.25
#define DECHEIGHT  0.25
#define DECLENGTH  0.25
#define DOMERADIUS 2.0


/* Moore Observatory - Louisville, Kentucky USA */

/* #define LONGITUDE      85.5300 */
/* #define LATITUDE       38.3334 */

/* Mt. Kent Observatgory - Toowoomba, Australia */

/*   #define LONGITUDE     -151.855278 */
/*   #define LATITUDE      -27.797778  */


/* Configuration file */

#define CONFIGFILE "/usr/local/observatory/prefs/prefs.dome"

/* Reserve space for characters in file descriptors */

#define MAXPATHLEN  100
